GlyphSubstitutionTable.LigatureSet (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.complexscripts.fonts

## Class GlyphSubstitutionTable.LigatureSet

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphSubstitutionTable.LigatureSet

- Enclosing class:
    GlyphSubstitutionTable

      public static class GlyphSubstitutionTable.LigatureSet
      extends Object

  The `LigatureSet` class implements a set of ligatures.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LigatureSet(GlyphSubstitutionTable.Ligature[] ligatures)` Instantiate a set of ligatures.
    `LigatureSet(List ligatures)` Instantiate a set of ligatures.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GlyphSubstitutionTable.Ligature[]` | `getLigatures()`
    `int` | `getMaxComponents()`
    `int` | `getNumLigatures()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LigatureSet

          public LigatureSet(List ligatures)

      Instantiate a set of ligatures.
      Parameters:
        `ligatures` - collection of ligatures

    - #### LigatureSet

          public LigatureSet(GlyphSubstitutionTable.Ligature[] ligatures)

      Instantiate a set of ligatures.
      Parameters:
        `ligatures` - array of ligatures

  - ### Method Detail

    - #### getLigatures

          public GlyphSubstitutionTable.Ligature[] getLigatures()

      Returns:
        array of ligatures in this ligature set

    - #### getNumLigatures

          public int getNumLigatures()

      Returns:
        count of ligatures in this ligature set

    - #### getMaxComponents

          public int getMaxComponents()

      Returns:
        maximum number of components in one ligature (including first component)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2025 Apache Software Foundation. All rights reserved.